Name:          poco
Version:       1.14.1
Release:       1mamba
Summary:       C++ class libraries for network-centric, portable applications, complete edition with debug libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pocoproject.org/
Source:        https://pocoproject.org/releases/poco-%{version}/poco-%{version}-all.tar.bz2
License:       Boost Software License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libmariadb-devel
BuildRequires: libodbc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpostgresql-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
C++ class libraries for network-centric, portable applications, complete edition with debug libraries.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.



%prep
%setup -q -n %{name}-%{version}-all

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/cpspc
%{_bindir}/f2cpsp
%{_bindir}/poco-arc

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libPoco*.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/Poco
%{_includedir}/Poco/*
%dir %{_libdir}/cmake/Poco
%{_libdir}/cmake/Poco/Poco*.cmake
%{_libdir}/libPoco*.so
%doc README

%changelog
* Thu Feb 13 2025 Automatic Build System <autodist@openmamba.org> 1.14.1-1mamba
- automatic version update by autodist

* Tue Dec 03 2024 Automatic Build System <autodist@openmamba.org> 1.14.0-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.3-1mamba
- package created using the webbuild interface
